import { __decorate } from 'tslib';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Injectable, APP_INITIALIZER, NgZone, NgModule } from '@angular/core';
import { fromEvent } from 'rxjs';
import * as i1 from 'cty-mui-angular/common';
import { OverlayBaseController, ConfigToken, TemplateRefDirective } from 'cty-mui-angular/common';
export { AudioRecorderService, Config, DeviceInfoService, ImagePickerService, KeyboardService, MediaDownloaderService, NetworkService, PaymentService, ScreenOrientationService, ShareService, StatusBarService, UtilsService, VideoCaptureService, VolumeControlService, WechatService } from 'cty-mui-angular/common';
import { alertController, actionSheetController, loadingController, cameraPhotoController, cascaderController, recordController, shareSheetController, tutorialController, overlayController, setupConfig } from 'cty-mui-core';
export { CTYCityData, DownloadMediaType, Easing, ImagePickerType, MediaSourceType, ModalFade, ModalRotate, ModalSlide, ModalZoom, ShareContentType, SharePlatformType, SlidePosition, UploadProgressTip, WechatMiniProgramType, WechatShareScene, addDays, addHours, addMinutes, addMonths, addSeconds, addYears, camelToKebab, checkScrollEnd, clamp, clipboard, closest, convertDate, convertNumber, convertTimeZone, deepClone, diff, fileSize, formatDate, formatDateTime, fromBase64, getElementRect, getEventClientCoords, getEventPageCoords, getFormatForDatePicker, getFormatForDateTimePicker, getTimeZone, getUTCDate, getUTCDateTime, getValueByKey, identityCodeValid, isDef, isEmail, isEmptyArray, isEmptyObject, isHttp, isJSONObject, isMobileNo, isPrimitive, isPromise, isRealNameForm, isValidDate, kebabToCamel, localDelete, localGet, localSave, mergeObj, numberToChinese, numberToLetter, numericName, pad, parseArray, parseJson, percent, price, randomNum, scrollElementBottom, scrollElementTop, scrollToPoint, secondsToVehicle, sessionDelete, sessionGet, sessionSave, toBase64 } from 'cty-mui-core';
import { actionSheetController as actionSheetController$1, alertController as alertController$1, loadingController as loadingController$1, pickerController, toastController } from '@ionic/core';
import { DOCUMENT, CommonModule } from '@angular/common';
import { applyPolyfills, defineCustomElements } from 'cty-mui-core/loader';

/* eslint-disable */
/* tslint:disable */
const proxyInputs = (Cmp, inputs) => {
    const Prototype = Cmp.prototype;
    inputs.forEach((item) => {
        Object.defineProperty(Prototype, item, {
            get() {
                return this.el[item];
            },
            set(val) {
                this.z.runOutsideAngular(() => (this.el[item] = val));
            },
            /**
             * In the event that proxyInputs is called
             * multiple times re-defining these inputs
             * will cause an error to be thrown. As a result
             * we set configurable: true to indicate these
             * properties can be changed.
             */
            configurable: true,
        });
    });
};
const proxyMethods = (Cmp, methods) => {
    const Prototype = Cmp.prototype;
    methods.forEach((methodName) => {
        Prototype[methodName] = function () {
            const args = arguments;
            return this.z.runOutsideAngular(() => this.el[methodName].apply(this.el, args));
        };
    });
};
const proxyOutputs = (instance, el, events) => {
    events.forEach((eventName) => (instance[eventName] = fromEvent(el, eventName)));
};
const defineCustomElement = (tagName, customElement) => {
    if (customElement !== undefined && typeof customElements !== 'undefined' && !customElements.get(tagName)) {
        customElements.define(tagName, customElement);
    }
};
// tslint:disable-next-line: only-arrow-functions
function ProxyCmp(opts) {
    const decorator = function (cls) {
        const { defineCustomElementFn, inputs, methods } = opts;
        if (defineCustomElementFn !== undefined) {
            defineCustomElementFn();
        }
        if (inputs) {
            proxyInputs(cls, inputs);
        }
        if (methods) {
            proxyMethods(cls, methods);
        }
        return cls;
    };
    return decorator;
}

let CtyActionSheet = class CtyActionSheet {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyTap', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyActionSheet, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyActionSheet, selector: "cty-action-sheet", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cancelText: "cancelText", closeIcon: "closeIcon", closeable: "closeable", cssClass: "cssClass", enterAnimation: "enterAnimation", leaveAnimation: "leaveAnimation", options: "options", root: "root", subtitle: "subtitle", title: "title", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyActionSheet = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cancelText', 'closeIcon', 'closeable', 'cssClass', 'enterAnimation', 'leaveAnimation', 'options', 'root', 'subtitle', 'title', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyActionSheet);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyActionSheet, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-action-sheet',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cancelText', 'closeIcon', 'closeable', 'cssClass', 'enterAnimation', 'leaveAnimation', 'options', 'root', 'subtitle', 'title', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyAgree = class CtyAgree {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAgree, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyAgree, selector: "cty-agree", inputs: { disabled: "disabled", spinner: "spinner", triggerArea: "triggerArea", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyAgree = __decorate([
    ProxyCmp({
        inputs: ['disabled', 'spinner', 'triggerArea', 'value']
    })
], CtyAgree);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAgree, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-agree',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['disabled', 'spinner', 'triggerArea', 'value'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyAlert = class CtyAlert {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyTap', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAlert, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyAlert, selector: "cty-alert", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", buttons: "buttons", closeable: "closeable", content: "content", cssClass: "cssClass", enterAnimation: "enterAnimation", img: "img", leaveAnimation: "leaveAnimation", root: "root", title: "title", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyAlert = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'buttons', 'closeable', 'content', 'cssClass', 'enterAnimation', 'img', 'leaveAnimation', 'root', 'title', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyAlert);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAlert, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-alert',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'buttons', 'closeable', 'content', 'cssClass', 'enterAnimation', 'img', 'leaveAnimation', 'root', 'title', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyAnswerSheet = class CtyAnswerSheet {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyTap']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAnswerSheet, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyAnswerSheet, selector: "cty-answer-sheet", inputs: { answers: "answers", categories: "categories", displayTotal: "displayTotal", distinguish: "distinguish", placement: "placement", props: "props", results: "results", totalText: "totalText" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyAnswerSheet = __decorate([
    ProxyCmp({
        inputs: ['answers', 'categories', 'displayTotal', 'distinguish', 'placement', 'props', 'results', 'totalText']
    })
], CtyAnswerSheet);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAnswerSheet, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-answer-sheet',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['answers', 'categories', 'displayTotal', 'distinguish', 'placement', 'props', 'results', 'totalText'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyArticleCard = class CtyArticleCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyArticleCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyArticleCard, selector: "cty-article-card", inputs: { layout: "layout", thumbnails: "thumbnails", title: "title" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyArticleCard = __decorate([
    ProxyCmp({
        inputs: ['layout', 'thumbnails', 'title']
    })
], CtyArticleCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyArticleCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-article-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['layout', 'thumbnails', 'title'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyAudio = class CtyAudio {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyEnd', 'ctyTimeupdate', 'ctyProgress', 'ctyCanplay', 'ctyPlay', 'ctyPause', 'ctyError']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAudio, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyAudio, selector: "cty-audio", inputs: { allowBackward: "allowBackward", allowForward: "allowForward", autoplay: "autoplay", cycleRate: "cycleRate", initialTime: "initialTime", playCtrl: "playCtrl", rate: "rate", rateVisible: "rateVisible", rates: "rates", trafficMsg: "trafficMsg", unAllowForwardMsg: "unAllowForwardMsg", unAllowRateMsg: "unAllowRateMsg", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyAudio = __decorate([
    ProxyCmp({
        inputs: ['allowBackward', 'allowForward', 'autoplay', 'cycleRate', 'initialTime', 'playCtrl', 'rate', 'rateVisible', 'rates', 'trafficMsg', 'unAllowForwardMsg', 'unAllowRateMsg', 'url'],
        methods: ['updatePlayedTime', 'switchAudio', 'play', 'pause', 'setPlayRate', 'getAudioElement']
    })
], CtyAudio);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAudio, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-audio',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['allowBackward', 'allowForward', 'autoplay', 'cycleRate', 'initialTime', 'playCtrl', 'rate', 'rateVisible', 'rates', 'trafficMsg', 'unAllowForwardMsg', 'unAllowRateMsg', 'url'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyBackdrop = class CtyBackdrop {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyBackdrop, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyBackdrop, selector: "cty-backdrop", inputs: { backdropDismiss: "backdropDismiss", html: "html", position: "position" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyBackdrop = __decorate([
    ProxyCmp({
        inputs: ['backdropDismiss', 'html', 'position']
    })
], CtyBackdrop);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyBackdrop, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-backdrop',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backdropDismiss', 'html', 'position'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyBanner = class CtyBanner {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctySwipeChange', 'ctySwipeTap']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyBanner, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyBanner, selector: "cty-banner", inputs: { autoplay: "autoplay", banners: "banners", duration: "duration", indicator: "indicator", initialIndex: "initialIndex", loop: "loop", props: "props", touchable: "touchable", vertical: "vertical" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyBanner = __decorate([
    ProxyCmp({
        inputs: ['autoplay', 'banners', 'duration', 'indicator', 'initialIndex', 'loop', 'props', 'touchable', 'vertical'],
        methods: ['swipeNext', 'swipePrev', 'swipeTo']
    })
], CtyBanner);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyBanner, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-banner',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoplay', 'banners', 'duration', 'indicator', 'initialIndex', 'loop', 'props', 'touchable', 'vertical'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCameraPhoto = class CtyCameraPhoto {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyTapStart', 'ctyTap', 'ctyDismiss', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCameraPhoto, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCameraPhoto, selector: "cty-camera-photo", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cancelText: "cancelText", clipCancelText: "clipCancelText", clipCconfirmText: "clipCconfirmText", clipImageBg: "clipImageBg", clipImageQuality: "clipImageQuality", clipImageSuffix: "clipImageSuffix", clipImageWidth: "clipImageWidth", clipMaxScale: "clipMaxScale", clipMinScale: "clipMinScale", clipPt: "clipPt", closeIcon: "closeIcon", closeable: "closeable", count: "count", cssClass: "cssClass", enterAnimation: "enterAnimation", file: "file", leaveAnimation: "leaveAnimation", options: "options", overlay: "overlay", permissionPurpose: "permissionPurpose", photoOption: "photoOption", root: "root", title: "title", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCameraPhoto = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cancelText', 'clipCancelText', 'clipCconfirmText', 'clipImageBg', 'clipImageQuality', 'clipImageSuffix', 'clipImageWidth', 'clipMaxScale', 'clipMinScale', 'clipPt', 'closeIcon', 'closeable', 'count', 'cssClass', 'enterAnimation', 'file', 'leaveAnimation', 'options', 'overlay', 'permissionPurpose', 'photoOption', 'root', 'title', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyCameraPhoto);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCameraPhoto, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-camera-photo',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cancelText', 'clipCancelText', 'clipCconfirmText', 'clipImageBg', 'clipImageQuality', 'clipImageSuffix', 'clipImageWidth', 'clipMaxScale', 'clipMinScale', 'clipPt', 'closeIcon', 'closeable', 'count', 'cssClass', 'enterAnimation', 'file', 'leaveAnimation', 'options', 'overlay', 'permissionPurpose', 'photoOption', 'root', 'title', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCanvasBoard = class CtyCanvasBoard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyClear', 'ctyStart', 'ctyMove', 'ctyEnd', 'ctyConfirm']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCanvasBoard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCanvasBoard, selector: "cty-canvas-board", inputs: { bgColor: "bgColor", bgIcon: "bgIcon", clearIcon: "clearIcon", clearLabel: "clearLabel", confirmLabel: "confirmLabel", dpr: "dpr", eraserIcon: "eraserIcon", footerOpn: "footerOpn", headerOpn: "headerOpn", lineCap: "lineCap", lineWidths: "lineWidths", pencilIcon: "pencilIcon", quality: "quality", redoIcon: "redoIcon", showButtons: "showButtons", strokeColor: "strokeColor", strokeWidth: "strokeWidth", suffix: "suffix", undoIcon: "undoIcon" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCanvasBoard = __decorate([
    ProxyCmp({
        inputs: ['bgColor', 'bgIcon', 'clearIcon', 'clearLabel', 'confirmLabel', 'dpr', 'eraserIcon', 'footerOpn', 'headerOpn', 'lineCap', 'lineWidths', 'pencilIcon', 'quality', 'redoIcon', 'showButtons', 'strokeColor', 'strokeWidth', 'suffix', 'undoIcon'],
        methods: ['undo', 'redo', 'clear', 'getDataURL']
    })
], CtyCanvasBoard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCanvasBoard, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-canvas-board',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['bgColor', 'bgIcon', 'clearIcon', 'clearLabel', 'confirmLabel', 'dpr', 'eraserIcon', 'footerOpn', 'headerOpn', 'lineCap', 'lineWidths', 'pencilIcon', 'quality', 'redoIcon', 'showButtons', 'strokeColor', 'strokeWidth', 'suffix', 'undoIcon'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCanvasVideo = class CtyCanvasVideo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctySlideChange', 'ctySlidePrev', 'ctySlideNext', 'ctyLongPress', 'ctyVideoUpdate', 'ctyVideoEnd', 'ctyTapName', 'ctyTapAvatar', 'ctyTapLike', 'ctyTapCollect', 'ctyTapShare']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCanvasVideo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCanvasVideo, selector: "cty-canvas-video", inputs: { autoplay: "autoplay", avatarButton: "avatarButton", next: "next", preload: "preload", props: "props", slice: "slice", videos: "videos" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCanvasVideo = __decorate([
    ProxyCmp({
        inputs: ['autoplay', 'avatarButton', 'next', 'preload', 'props', 'slice', 'videos'],
        methods: ['slideToPrev', 'slideToNext']
    })
], CtyCanvasVideo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCanvasVideo, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-canvas-video',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoplay', 'avatarButton', 'next', 'preload', 'props', 'slice', 'videos'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCascader = class CtyCascader {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyChange', 'ctyConfirm', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCascader, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCascader, selector: "cty-cascader", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cancelText: "cancelText", cascade: "cascade", childrenKey: "childrenKey", columns: "columns", columnsCount: "columnsCount", confirmText: "confirmText", cssClass: "cssClass", defaultValues: "defaultValues", enterAnimation: "enterAnimation", leaveAnimation: "leaveAnimation", optionCount: "optionCount", optionHeight: "optionHeight", root: "root", textKey: "textKey", title: "title", trigger: "trigger", type: "type", valueKey: "valueKey" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCascader = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cancelText', 'cascade', 'childrenKey', 'columns', 'columnsCount', 'confirmText', 'cssClass', 'defaultValues', 'enterAnimation', 'leaveAnimation', 'optionCount', 'optionHeight', 'root', 'textKey', 'title', 'trigger', 'type', 'valueKey'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyCascader);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCascader, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-cascader',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cancelText', 'cascade', 'childrenKey', 'columns', 'columnsCount', 'confirmText', 'cssClass', 'defaultValues', 'enterAnimation', 'leaveAnimation', 'optionCount', 'optionHeight', 'root', 'textKey', 'title', 'trigger', 'type', 'valueKey'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCircle = class CtyCircle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCircle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCircle, selector: "cty-circle", inputs: { clockwise: "clockwise", color: "color", rad: "rad", rate: "rate", text: "text", width: "width", zeroTransparent: "zeroTransparent" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCircle = __decorate([
    ProxyCmp({
        inputs: ['clockwise', 'color', 'rad', 'rate', 'text', 'width', 'zeroTransparent']
    })
], CtyCircle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCircle, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-circle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['clockwise', 'color', 'rad', 'rate', 'text', 'width', 'zeroTransparent'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCountDown = class CtyCountDown {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange', 'ctyFinish']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCountDown, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCountDown, selector: "cty-count-down", inputs: { autoStart: "autoStart", dateFormatUnit: "dateFormatUnit", format: "format", millisecond: "millisecond", time: "time", unit: "unit" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCountDown = __decorate([
    ProxyCmp({
        inputs: ['autoStart', 'dateFormatUnit', 'format', 'millisecond', 'time', 'unit'],
        methods: ['start', 'reset', 'pause']
    })
], CtyCountDown);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCountDown, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-count-down',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoStart', 'dateFormatUnit', 'format', 'millisecond', 'time', 'unit'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyCropImage = class CtyCropImage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyCancel', 'ctyConfirm']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCropImage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyCropImage, selector: "cty-crop-image", inputs: { cancelText: "cancelText", confirmText: "confirmText", imageBackground: "imageBackground", imageWidth: "imageWidth", maxScale: "maxScale", minScale: "minScale", quality: "quality", suffix: "suffix", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyCropImage = __decorate([
    ProxyCmp({
        inputs: ['cancelText', 'confirmText', 'imageBackground', 'imageWidth', 'maxScale', 'minScale', 'quality', 'suffix', 'url'],
        methods: ['getCanvasImg']
    })
], CtyCropImage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCropImage, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-crop-image',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['cancelText', 'confirmText', 'imageBackground', 'imageWidth', 'maxScale', 'minScale', 'quality', 'suffix', 'url'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyDivider = class CtyDivider {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyDivider, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyDivider, selector: "cty-divider", inputs: { placement: "placement", vertical: "vertical" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyDivider = __decorate([
    ProxyCmp({
        inputs: ['placement', 'vertical']
    })
], CtyDivider);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyDivider, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-divider',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['placement', 'vertical'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyEmpty = class CtyEmpty {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyEmpty, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyEmpty, selector: "cty-empty", inputs: { description: "description", image: "image" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyEmpty = __decorate([
    ProxyCmp({
        inputs: ['description', 'image']
    })
], CtyEmpty);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyEmpty, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-empty',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['description', 'image'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyFloatingBubble = class CtyFloatingBubble {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyMoveStart', 'ctyMove', 'ctyMoveEnd', 'ctyClick']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyFloatingBubble, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyFloatingBubble, selector: "cty-floating-bubble", inputs: { axis: "axis", gap: "gap", icon: "icon", magnetic: "magnetic", offset: "offset" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyFloatingBubble = __decorate([
    ProxyCmp({
        inputs: ['axis', 'gap', 'icon', 'magnetic', 'offset']
    })
], CtyFloatingBubble);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyFloatingBubble, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-floating-bubble',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['axis', 'gap', 'icon', 'magnetic', 'offset'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyFloatingPanel = class CtyFloatingPanel {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyHeightChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyFloatingPanel, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyFloatingPanel, selector: "cty-floating-panel", inputs: { anchors: "anchors", contentDraggable: "contentDraggable", damp: "damp", endAnchor: "endAnchor", icon: "icon" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyFloatingPanel = __decorate([
    ProxyCmp({
        inputs: ['anchors', 'contentDraggable', 'damp', 'endAnchor', 'icon']
    })
], CtyFloatingPanel);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyFloatingPanel, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-floating-panel',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['anchors', 'contentDraggable', 'damp', 'endAnchor', 'icon'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyIcon = class CtyIcon {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyIcon, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyIcon, selector: "cty-icon", inputs: { color: "color", flipRtl: "flipRtl", lazy: "lazy", name: "name", sanitize: "sanitize", size: "size" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyIcon = __decorate([
    ProxyCmp({
        inputs: ['color', 'flipRtl', 'lazy', 'name', 'sanitize', 'size']
    })
], CtyIcon);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyIcon, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-icon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['color', 'flipRtl', 'lazy', 'name', 'sanitize', 'size'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyImageUpload = class CtyImageUpload {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyImagePicker', 'ctyAddImageTap', 'ctyImageTap', 'ctyDeleteImage', 'ctImageViewerDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyImageUpload, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyImageUpload, selector: "cty-image-upload", inputs: { addIcon: "addIcon", addImage: "addImage", cameraPhotoOptions: "cameraPhotoOptions", count: "count", deleteable: "deleteable", imageViewer: "imageViewer", imageViewerOptions: "imageViewerOptions", images: "images" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyImageUpload = __decorate([
    ProxyCmp({
        inputs: ['addIcon', 'addImage', 'cameraPhotoOptions', 'count', 'deleteable', 'imageViewer', 'imageViewerOptions', 'images']
    })
], CtyImageUpload);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyImageUpload, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-image-upload',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['addIcon', 'addImage', 'cameraPhotoOptions', 'count', 'deleteable', 'imageViewer', 'imageViewerOptions', 'images'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyImageViewer = class CtyImageViewer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctySlideChange', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyImageViewer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyImageViewer, selector: "cty-image-viewer", inputs: { animated: "animated", attrs: "attrs", backdropDismiss: "backdropDismiss", closeable: "closeable", cssClass: "cssClass", enterAnimation: "enterAnimation", images: "images", initialSlide: "initialSlide", leaveAnimation: "leaveAnimation", loop: "loop", pager: "pager", root: "root", speed: "speed", trigger: "trigger", zoom: "zoom" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyImageViewer = __decorate([
    ProxyCmp({
        inputs: ['animated', 'attrs', 'backdropDismiss', 'closeable', 'cssClass', 'enterAnimation', 'images', 'initialSlide', 'leaveAnimation', 'loop', 'pager', 'root', 'speed', 'trigger', 'zoom'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss', 'slideTo']
    })
], CtyImageViewer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyImageViewer, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-image-viewer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'attrs', 'backdropDismiss', 'closeable', 'cssClass', 'enterAnimation', 'images', 'initialSlide', 'leaveAnimation', 'loop', 'pager', 'root', 'speed', 'trigger', 'zoom'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyIndexBar = class CtyIndexBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyScrollToPoint']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyIndexBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyIndexBar, selector: "cty-index-bar", inputs: { alphabet: "alphabet", alphabets: "alphabets", duration: "duration", indexList: "indexList", offsetDiff: "offsetDiff", sticky: "sticky", stickyTop: "stickyTop", sum: "sum" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyIndexBar = __decorate([
    ProxyCmp({
        inputs: ['alphabet', 'alphabets', 'duration', 'indexList', 'offsetDiff', 'sticky', 'stickyTop', 'sum'],
        methods: ['scrollToIndex']
    })
], CtyIndexBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyIndexBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-index-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['alphabet', 'alphabets', 'duration', 'indexList', 'offsetDiff', 'sticky', 'stickyTop', 'sum'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyKeyboard = class CtyKeyboard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyKeyboard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyKeyboard, selector: "cty-keyboard", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyKeyboard = __decorate([
    ProxyCmp({})
], CtyKeyboard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyKeyboard, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-keyboard',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyLoading = class CtyLoading {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyLoading, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyLoading, selector: "cty-loading", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cssClass: "cssClass", enterAnimation: "enterAnimation", img: "img", leaveAnimation: "leaveAnimation", root: "root", spinner: "spinner", trigger: "trigger", vertical: "vertical" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyLoading = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cssClass', 'enterAnimation', 'img', 'leaveAnimation', 'root', 'spinner', 'trigger', 'vertical'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyLoading);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyLoading, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-loading',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cssClass', 'enterAnimation', 'img', 'leaveAnimation', 'root', 'spinner', 'trigger', 'vertical'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyMediaCapture = class CtyMediaCapture {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyComplete', 'ctyStart', 'ctyStop']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyMediaCapture, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyMediaCapture, selector: "cty-media-capture", inputs: { autoplay: "autoplay", captureTime: "captureTime", closeIcon: "closeIcon", confirmText: "confirmText", controls: "controls", loop: "loop", options: "options", poster: "poster", revocationIcon: "revocationIcon", timeLimit: "timeLimit" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyMediaCapture = __decorate([
    ProxyCmp({
        inputs: ['autoplay', 'captureTime', 'closeIcon', 'confirmText', 'controls', 'loop', 'options', 'poster', 'revocationIcon', 'timeLimit'],
        methods: ['startVideoCapture', 'stopVideoCapture']
    })
], CtyMediaCapture);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyMediaCapture, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-media-capture',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoplay', 'captureTime', 'closeIcon', 'confirmText', 'controls', 'loop', 'options', 'poster', 'revocationIcon', 'timeLimit'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyNavBar = class CtyNavBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyNavBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyNavBar, selector: "cty-nav-bar", inputs: { arrow: "arrow", arrowIcon: "arrowIcon", end: "end", start: "start", title: "title", type: "type" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyNavBar = __decorate([
    ProxyCmp({
        inputs: ['arrow', 'arrowIcon', 'end', 'start', 'title', 'type']
    })
], CtyNavBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyNavBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-nav-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['arrow', 'arrowIcon', 'end', 'start', 'title', 'type'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyNoticeBar = class CtyNoticeBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyIconTap']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyNoticeBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyNoticeBar, selector: "cty-notice-bar", inputs: { endIcon: "endIcon", scrollable: "scrollable", speed: "speed", startIcon: "startIcon", text: "text" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyNoticeBar = __decorate([
    ProxyCmp({
        inputs: ['endIcon', 'scrollable', 'speed', 'startIcon', 'text']
    })
], CtyNoticeBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyNoticeBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-notice-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['endIcon', 'scrollable', 'speed', 'startIcon', 'text'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyOverlay = class CtyOverlay {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyOverlay, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyOverlay, selector: "cty-overlay", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cssClass: "cssClass", enterAnimation: "enterAnimation", html: "html", leaveAnimation: "leaveAnimation", position: "position", root: "root", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyOverlay = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cssClass', 'enterAnimation', 'html', 'leaveAnimation', 'position', 'root', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyOverlay);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyOverlay, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-overlay',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cssClass', 'enterAnimation', 'html', 'leaveAnimation', 'position', 'root', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyPdfViewer = class CtyPdfViewer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyInit', 'ctyEnd']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyPdfViewer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyPdfViewer, selector: "cty-pdf-viewer", inputs: { url: "url", viewerUrl: "viewerUrl" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyPdfViewer = __decorate([
    ProxyCmp({
        inputs: ['url', 'viewerUrl']
    })
], CtyPdfViewer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyPdfViewer, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-pdf-viewer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['url', 'viewerUrl'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyPermissionPurpose = class CtyPermissionPurpose {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyPermissionPurpose, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyPermissionPurpose, selector: "cty-permission-purpose", inputs: { backdropDismiss: "backdropDismiss", description: "description" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyPermissionPurpose = __decorate([
    ProxyCmp({
        inputs: ['backdropDismiss', 'description']
    })
], CtyPermissionPurpose);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyPermissionPurpose, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-permission-purpose',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backdropDismiss', 'description'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyProgress = class CtyProgress {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyProgress, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyProgress, selector: "cty-progress", inputs: { percentage: "percentage", pivot: "pivot", pivotText: "pivotText" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyProgress = __decorate([
    ProxyCmp({
        inputs: ['percentage', 'pivot', 'pivotText']
    })
], CtyProgress);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyProgress, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-progress',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['percentage', 'pivot', 'pivotText'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyQuickAccess = class CtyQuickAccess {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyTap', 'ctySlide', 'ctySlideEnd', 'ctyInit']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyQuickAccess, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyQuickAccess, selector: "cty-quick-access", inputs: { col: "col", options: "options", paper: "paper", props: "props", quickThreshold: "quickThreshold", row: "row", slideThreshold: "slideThreshold", transition: "transition" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyQuickAccess = __decorate([
    ProxyCmp({
        inputs: ['col', 'options', 'paper', 'props', 'quickThreshold', 'row', 'slideThreshold', 'transition'],
        methods: ['getCurrentPage']
    })
], CtyQuickAccess);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyQuickAccess, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-quick-access',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['col', 'options', 'paper', 'props', 'quickThreshold', 'row', 'slideThreshold', 'transition'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyRate = class CtyRate {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRate, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyRate, selector: "cty-rate", inputs: { clearable: "clearable", count: "count", disabled: "disabled", half: "half", icon: "icon", readonly: "readonly", touchable: "touchable", value: "value", voidIcon: "voidIcon" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyRate = __decorate([
    ProxyCmp({
        inputs: ['clearable', 'count', 'disabled', 'half', 'icon', 'readonly', 'touchable', 'value', 'voidIcon']
    })
], CtyRate);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRate, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-rate',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['clearable', 'count', 'disabled', 'half', 'icon', 'readonly', 'touchable', 'value', 'voidIcon'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyRecord = class CtyRecord {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyRecordStart', 'ctyRecording', 'ctyRecordEnd', 'ctyRecordComplete', 'ctyDismiss', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRecord, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyRecord, selector: "cty-record", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", circleColor: "circleColor", circleWidth: "circleWidth", closeable: "closeable", cssClass: "cssClass", enterAnimation: "enterAnimation", leaveAnimation: "leaveAnimation", maxSeconds: "maxSeconds", minSeconds: "minSeconds", root: "root", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyRecord = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'circleColor', 'circleWidth', 'closeable', 'cssClass', 'enterAnimation', 'leaveAnimation', 'maxSeconds', 'minSeconds', 'root', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss', 'resetRecordState', 'startRecord', 'stopRecording']
    })
], CtyRecord);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRecord, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-record',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'circleColor', 'circleWidth', 'closeable', 'cssClass', 'enterAnimation', 'leaveAnimation', 'maxSeconds', 'minSeconds', 'root', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySegmentSlides = class CtySegmentSlides {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctySlideChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySegmentSlides, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySegmentSlides, selector: "cty-segment-slides", inputs: { autoHeight: "autoHeight", layout: "layout", observer: "observer", observerParents: "observerParents", segmentProps: "segmentProps", segments: "segments", top: "top" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySegmentSlides = __decorate([
    ProxyCmp({
        inputs: ['autoHeight', 'layout', 'observer', 'observerParents', 'segmentProps', 'segments', 'top'],
        methods: ['doSlideTo', 'getActiveIndex', 'getSwiper']
    })
], CtySegmentSlides);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySegmentSlides, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-segment-slides',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoHeight', 'layout', 'observer', 'observerParents', 'segmentProps', 'segments', 'top'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyShareSheet = class CtyShareSheet {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyTap', 'ctyShareSuccess', 'ctyShareFail', 'ctyGuide', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyShareSheet, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyShareSheet, selector: "cty-share-sheet", inputs: { animated: "animated", backdropDismiss: "backdropDismiss", cancelText: "cancelText", cssClass: "cssClass", description: "description", enterAnimation: "enterAnimation", guide: "guide", guideImg: "guideImg", hiddenSheet: "hiddenSheet", leaveAnimation: "leaveAnimation", legacyCopy: "legacyCopy", options: "options", permissionDescription: "permissionDescription", permissionPurpose: "permissionPurpose", root: "root", shareOption: "shareOption", title: "title", trigger: "trigger" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyShareSheet = __decorate([
    ProxyCmp({
        inputs: ['animated', 'backdropDismiss', 'cancelText', 'cssClass', 'description', 'enterAnimation', 'guide', 'guideImg', 'hiddenSheet', 'leaveAnimation', 'legacyCopy', 'options', 'permissionDescription', 'permissionPurpose', 'root', 'shareOption', 'title', 'trigger'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyShareSheet);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyShareSheet, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-share-sheet',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'backdropDismiss', 'cancelText', 'cssClass', 'description', 'enterAnimation', 'guide', 'guideImg', 'hiddenSheet', 'leaveAnimation', 'legacyCopy', 'options', 'permissionDescription', 'permissionPurpose', 'root', 'shareOption', 'title', 'trigger'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySidePanel = class CtySidePanel {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySidePanel, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySidePanel, selector: "cty-side-panel", inputs: { beforeChange: "beforeChange", sideBars: "sideBars", singleContent: "singleContent", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySidePanel = __decorate([
    ProxyCmp({
        inputs: ['beforeChange', 'sideBars', 'singleContent', 'value']
    })
], CtySidePanel);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySidePanel, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-side-panel',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['beforeChange', 'sideBars', 'singleContent', 'value'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyStep = class CtyStep {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyStep, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyStep, selector: "cty-step", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyStep = __decorate([
    ProxyCmp({})
], CtyStep);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyStep, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-step',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyStepper = class CtyStepper {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyMinus', 'ctyPlus', 'ctyBlur', 'ctyChange', 'ctyFocus']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyStepper, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyStepper, selector: "cty-stepper", inputs: { disableInput: "disableInput", disableMinus: "disableMinus", disablePlus: "disablePlus", disabled: "disabled", integer: "integer", max: "max", min: "min", minusText: "minusText", plusText: "plusText", readonly: "readonly", showInput: "showInput", showMinus: "showMinus", showPlus: "showPlus", step: "step", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyStepper = __decorate([
    ProxyCmp({
        inputs: ['disableInput', 'disableMinus', 'disablePlus', 'disabled', 'integer', 'max', 'min', 'minusText', 'plusText', 'readonly', 'showInput', 'showMinus', 'showPlus', 'step', 'value'],
        methods: ['handleMinus', 'handlePlus']
    })
], CtyStepper);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyStepper, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-stepper',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['disableInput', 'disableMinus', 'disablePlus', 'disabled', 'integer', 'max', 'min', 'minusText', 'plusText', 'readonly', 'showInput', 'showMinus', 'showPlus', 'step', 'value'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySteps = class CtySteps {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyStepTap', 'ctyChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySteps, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySteps, selector: "cty-steps", inputs: { active: "active", activeIcon: "activeIcon", direction: "direction", finishIcon: "finishIcon", inactiveIcon: "inactiveIcon" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySteps = __decorate([
    ProxyCmp({
        inputs: ['active', 'activeIcon', 'direction', 'finishIcon', 'inactiveIcon'],
        methods: ['onClickStep']
    })
], CtySteps);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySteps, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-steps',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['active', 'activeIcon', 'direction', 'finishIcon', 'inactiveIcon'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySwipe = class CtySwipe {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange', 'ctyDragStart', 'ctyDragEnd']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwipe, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySwipe, selector: "cty-swipe", inputs: { autoplay: "autoplay", duration: "duration", indicator: "indicator", initialSwipe: "initialSwipe", loop: "loop", touchable: "touchable", vertical: "vertical" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySwipe = __decorate([
    ProxyCmp({
        inputs: ['autoplay', 'duration', 'indicator', 'initialSwipe', 'loop', 'touchable', 'vertical'],
        methods: ['prev', 'next', 'swipeTo']
    })
], CtySwipe);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwipe, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-swipe',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoplay', 'duration', 'indicator', 'initialSwipe', 'loop', 'touchable', 'vertical'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySwipeItem = class CtySwipeItem {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwipeItem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySwipeItem, selector: "cty-swipe-item", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySwipeItem = __decorate([
    ProxyCmp({
        methods: ['setOffset']
    })
], CtySwipeItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwipeItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-swipe-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtySwiper = class CtySwiper {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctySlideChange', 'ctySlideClick']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwiper, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtySwiper, selector: "cty-swiper", inputs: { attrs: "attrs", autoplay: "autoplay", direction: "direction", loop: "loop", observer: "observer", observerParents: "observerParents", pagination: "pagination", props: "props", swiperModules: "swiperModules", swipers: "swipers" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtySwiper = __decorate([
    ProxyCmp({
        inputs: ['attrs', 'autoplay', 'direction', 'loop', 'observer', 'observerParents', 'pagination', 'props', 'swiperModules', 'swipers'],
        methods: ['refreshSwiper', 'next', 'prev', 'slideTo', 'getSwiper']
    })
], CtySwiper);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtySwiper, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-swiper',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['attrs', 'autoplay', 'direction', 'loop', 'observer', 'observerParents', 'pagination', 'props', 'swiperModules', 'swipers'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyTextEllipsis = class CtyTextEllipsis {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyExpandChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTextEllipsis, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyTextEllipsis, selector: "cty-text-ellipsis", inputs: { collapseText: "collapseText", content: "content", dots: "dots", expandText: "expandText", position: "position", rows: "rows" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyTextEllipsis = __decorate([
    ProxyCmp({
        inputs: ['collapseText', 'content', 'dots', 'expandText', 'position', 'rows']
    })
], CtyTextEllipsis);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTextEllipsis, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-text-ellipsis',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['collapseText', 'content', 'dots', 'expandText', 'position', 'rows'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyTitleBar = class CtyTitleBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyClickEnd']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTitleBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyTitleBar, selector: "cty-title-bar", inputs: { endIcon: "endIcon", endText: "endText", startIcon: "startIcon", title: "title" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyTitleBar = __decorate([
    ProxyCmp({
        inputs: ['endIcon', 'endText', 'startIcon', 'title']
    })
], CtyTitleBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTitleBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-title-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['endIcon', 'endText', 'startIcon', 'title'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyTour = class CtyTour {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyChange', 'ctyDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTour, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyTour, selector: "cty-tour", inputs: { arrow: "arrow", backdropDismiss: "backdropDismiss", closeable: "closeable", completeText: "completeText", cssClass: "cssClass", initialIndex: "initialIndex", nextText: "nextText", placement: "placement", popoverAttrs: "popoverAttrs", prevText: "prevText", showPrev: "showPrev", steps: "steps" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyTour = __decorate([
    ProxyCmp({
        inputs: ['arrow', 'backdropDismiss', 'closeable', 'completeText', 'cssClass', 'initialIndex', 'nextText', 'placement', 'popoverAttrs', 'prevText', 'showPrev', 'steps'],
        methods: ['present', 'dismiss', 'prevStep', 'nextStep', 'complete']
    })
], CtyTour);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTour, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-tour',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['arrow', 'backdropDismiss', 'closeable', 'completeText', 'cssClass', 'initialIndex', 'nextText', 'placement', 'popoverAttrs', 'prevText', 'showPrev', 'steps'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyTutorial = class CtyTutorial {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctySlideChange', 'ctySlideTap', 'ctyDidPresent', 'ctyWillPresent', 'ctyWillDismiss', 'ctyDidDismiss']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTutorial, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyTutorial, selector: "cty-tutorial", inputs: { animated: "animated", autoplay: "autoplay", backdropDismiss: "backdropDismiss", banners: "banners", closeable: "closeable", cssClass: "cssClass", duration: "duration", enterAnimation: "enterAnimation", indicator: "indicator", initialIndex: "initialIndex", leaveAnimation: "leaveAnimation", loop: "loop", props: "props", root: "root", touchable: "touchable", trigger: "trigger", vertical: "vertical" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyTutorial = __decorate([
    ProxyCmp({
        inputs: ['animated', 'autoplay', 'backdropDismiss', 'banners', 'closeable', 'cssClass', 'duration', 'enterAnimation', 'indicator', 'initialIndex', 'leaveAnimation', 'loop', 'props', 'root', 'touchable', 'trigger', 'vertical'],
        methods: ['present', 'dismiss', 'onDidDismiss', 'onWillDismiss']
    })
], CtyTutorial);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTutorial, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-tutorial',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animated', 'autoplay', 'backdropDismiss', 'banners', 'closeable', 'cssClass', 'duration', 'enterAnimation', 'indicator', 'initialIndex', 'leaveAnimation', 'loop', 'props', 'root', 'touchable', 'trigger', 'vertical'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyVideo = class CtyVideo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyDismiss', 'ctyVideoCanplay', 'ctyVideoTimeupdate', 'ctyVideoPlaying', 'ctyVideoPlay', 'ctyVideoPause', 'ctyVideoStalled', 'ctyVideoWaiting', 'ctyVideoEnded', 'ctyVideoError', 'ctyVideoChangeVolume', 'ctyVideoProgress', 'ctyVideoScreenChange', 'ctyVideoIAEnter', 'ctyVideoIAAction', 'ctyVideoCtrlChange', 'ctyVideoRateChange']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyVideo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyVideo, selector: "cty-video", inputs: { allowBackgroundForward: "allowBackgroundForward", allowBackward: "allowBackward", allowForward: "allowForward", autoplay: "autoplay", controls: "controls", defaultFullscreen: "defaultFullscreen", directRate: "directRate", direction: "direction", errorMsg: "errorMsg", exitFullscreenIcon: "exitFullscreenIcon", footerCtrl: "footerCtrl", fullscreenIcon: "fullscreenIcon", fullscreenOnly: "fullscreenOnly", headerCtrl: "headerCtrl", interactiveActions: "interactiveActions", landscapeEnterTimer: "landscapeEnterTimer", landscapeLeaveTimer: "landscapeLeaveTimer", largeScreenIsPortrait: "largeScreenIsPortrait", loading: "loading", loadingImg: "loadingImg", markers: "markers", orientation: "orientation", player: "player", poster: "poster", preload: "preload", progressPosition: "progressPosition", rate: "rate", rates: "rates", startTime: "startTime", title: "title", togglePlayTimer: "togglePlayTimer", trafficAutoplay: "trafficAutoplay", trafficMsg: "trafficMsg", unAllowForwardMsg: "unAllowForwardMsg", unAllowRateMsg: "unAllowRateMsg", updateNow: "updateNow", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyVideo = __decorate([
    ProxyCmp({
        inputs: ['allowBackgroundForward', 'allowBackward', 'allowForward', 'autoplay', 'controls', 'defaultFullscreen', 'directRate', 'direction', 'errorMsg', 'exitFullscreenIcon', 'footerCtrl', 'fullscreenIcon', 'fullscreenOnly', 'headerCtrl', 'interactiveActions', 'landscapeEnterTimer', 'landscapeLeaveTimer', 'largeScreenIsPortrait', 'loading', 'loadingImg', 'markers', 'orientation', 'player', 'poster', 'preload', 'progressPosition', 'rate', 'rates', 'startTime', 'title', 'togglePlayTimer', 'trafficAutoplay', 'trafficMsg', 'unAllowForwardMsg', 'unAllowRateMsg', 'updateNow', 'url'],
        methods: ['play', 'setCtrlShow', 'pause', 'setVideoCurrentTime', 'clearCtrlTimeout', 'setWarningMsg', 'toggleVideo', 'toggleVolume', 'setPlayRate', 'getVideoElement', 'getVideoState']
    })
], CtyVideo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyVideo, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-video',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['allowBackgroundForward', 'allowBackward', 'allowForward', 'autoplay', 'controls', 'defaultFullscreen', 'directRate', 'direction', 'errorMsg', 'exitFullscreenIcon', 'footerCtrl', 'fullscreenIcon', 'fullscreenOnly', 'headerCtrl', 'interactiveActions', 'landscapeEnterTimer', 'landscapeLeaveTimer', 'largeScreenIsPortrait', 'loading', 'loadingImg', 'markers', 'orientation', 'player', 'poster', 'preload', 'progressPosition', 'rate', 'rates', 'startTime', 'title', 'togglePlayTimer', 'trafficAutoplay', 'trafficMsg', 'unAllowForwardMsg', 'unAllowRateMsg', 'updateNow', 'url'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });
let CtyVirtualList = class CtyVirtualList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['ctyScroll']);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyVirtualList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    /** @nocollapse */ static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CtyVirtualList, selector: "cty-virtual-list", inputs: { containerHeight: "containerHeight", direction: "direction", itemKey: "itemKey", items: "items", preloadItemCount: "preloadItemCount" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
CtyVirtualList = __decorate([
    ProxyCmp({
        inputs: ['containerHeight', 'direction', 'itemKey', 'items', 'preloadItemCount']
    })
], CtyVirtualList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyVirtualList, decorators: [{
            type: Component,
            args: [{
                    selector: 'cty-virtual-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['containerHeight', 'direction', 'itemKey', 'items', 'preloadItemCount'],
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }]; } });

class CtyAlertController extends OverlayBaseController {
    constructor() {
        super(alertController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAlertController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAlertController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyAlertController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyActionSheetController extends OverlayBaseController {
    constructor() {
        super(actionSheetController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyActionSheetController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyActionSheetController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyActionSheetController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyLoadingController extends OverlayBaseController {
    constructor() {
        super(loadingController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyLoadingController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyLoadingController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyLoadingController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyCameraPhotoController extends OverlayBaseController {
    constructor() {
        super(cameraPhotoController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCameraPhotoController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCameraPhotoController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCameraPhotoController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyCascaderController extends OverlayBaseController {
    constructor() {
        super(cascaderController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCascaderController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCascaderController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyCascaderController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyRecordController extends OverlayBaseController {
    constructor() {
        super(recordController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRecordController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRecordController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyRecordController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyShareSheetController extends OverlayBaseController {
    constructor() {
        super(shareSheetController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyShareSheetController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyShareSheetController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyShareSheetController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyTutorialController extends OverlayBaseController {
    constructor() {
        super(tutorialController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTutorialController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTutorialController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyTutorialController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyOverlayController extends OverlayBaseController {
    constructor() {
        super(overlayController);
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyOverlayController, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyOverlayController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyOverlayController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return []; } });

class CtyController {
    config;
    constructor(config) {
        this.config = config;
    }
    async ActionSheet(opt) {
        const actionSheet = await actionSheetController$1.create({ ...opt });
        await actionSheet.present();
        return actionSheet;
    }
    async Alert(opt) {
        const options = {
            ...this.config.get('alertCfg', {})
        };
        if (typeof opt === 'string') {
            options.message = opt;
        }
        else {
            Object.assign(options, opt);
        }
        ;
        const alert = await alertController$1.create(options);
        await alert.present();
        return alert;
    }
    async Loading(opt) {
        const loading = await loadingController$1.create(opt);
        await loading.present();
        return loading;
    }
    async Picker(opt) {
        const picker = await pickerController.create(opt);
        await picker.present();
        return picker;
    }
    async Toast(opt) {
        const options = {
            ...this.config.get('toastCfg', {})
        };
        if (typeof opt === 'string') {
            options.message = opt;
        }
        else {
            Object.assign(options, opt);
        }
        ;
        const toast = await toastController.create(options);
        await toast.present();
        return toast;
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyController, deps: [{ token: i1.Config }], target: i0.ɵɵFactoryTarget.Injectable });
    /** @nocollapse */ static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyController, providedIn: 'root' });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyController, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.Config }]; } });

const appInitialize = (config, doc, zone) => {
    return () => {
        const win = doc.defaultView;
        if (win && typeof window !== 'undefined') {
            setupConfig({
                ...config
            });
            const aelFn = '__zone_symbol__addEventListener' in doc.body ? '__zone_symbol__addEventListener' : 'addEventListener';
            return applyPolyfills().then(() => {
                return defineCustomElements(win, {
                    syncQueue: true,
                    jmp: (h) => zone.runOutsideAngular(h),
                    ael(elm, eventName, cb, opts) {
                        elm[aelFn](eventName, cb, opts);
                    },
                    rel(elm, eventName, cb, opts) {
                        elm.removeEventListener(eventName, cb, opts);
                    },
                });
            });
        }
    };
};

const DIRECTIVES = [
    CtyActionSheet,
    CtyAgree,
    CtyAlert,
    CtyAnswerSheet,
    CtyArticleCard,
    CtyAudio,
    CtyBackdrop,
    CtyBanner,
    CtyCameraPhoto,
    CtyCanvasBoard,
    CtyCanvasVideo,
    CtyCascader,
    CtyCircle,
    CtyCountDown,
    CtyCropImage,
    CtyDivider,
    CtyEmpty,
    CtyFloatingBubble,
    CtyFloatingPanel,
    CtyIcon,
    CtyImageUpload,
    CtyImageViewer,
    CtyIndexBar,
    CtyKeyboard,
    CtyLoading,
    CtyMediaCapture,
    CtyNavBar,
    CtyNoticeBar,
    CtyOverlay,
    CtyPdfViewer,
    CtyPermissionPurpose,
    CtyProgress,
    CtyQuickAccess,
    CtyRate,
    CtyRecord,
    CtySegmentSlides,
    CtyShareSheet,
    CtySidePanel,
    CtyStep,
    CtyStepper,
    CtySteps,
    CtySwipe,
    CtySwipeItem,
    CtySwiper,
    CtyTextEllipsis,
    CtyTitleBar,
    CtyTour,
    CtyTutorial,
    CtyVideo,
    CtyVirtualList
];

const DECLARATIONS = [
    ...DIRECTIVES
];
class CtyMUIModule {
    static forRoot(config) {
        return {
            ngModule: CtyMUIModule,
            providers: [
                {
                    provide: ConfigToken,
                    useValue: config,
                },
                {
                    provide: APP_INITIALIZER,
                    useFactory: appInitialize,
                    multi: true,
                    deps: [ConfigToken, DOCUMENT, NgZone],
                }
            ]
        };
    }
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyMUIModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: CtyMUIModule, declarations: [CtyActionSheet, CtyAgree, CtyAlert, CtyAnswerSheet, CtyArticleCard, CtyAudio, CtyBackdrop, CtyBanner, CtyCameraPhoto, CtyCanvasBoard, CtyCanvasVideo, CtyCascader, CtyCircle, CtyCountDown, CtyCropImage, CtyDivider, CtyEmpty, CtyFloatingBubble, CtyFloatingPanel, CtyIcon, CtyImageUpload, CtyImageViewer, CtyIndexBar, CtyKeyboard, CtyLoading, CtyMediaCapture, CtyNavBar, CtyNoticeBar, CtyOverlay, CtyPdfViewer, CtyPermissionPurpose, CtyProgress, CtyQuickAccess, CtyRate, CtyRecord, CtySegmentSlides, CtyShareSheet, CtySidePanel, CtyStep, CtyStepper, CtySteps, CtySwipe, CtySwipeItem, CtySwiper, CtyTextEllipsis, CtyTitleBar, CtyTour, CtyTutorial, CtyVideo, CtyVirtualList], imports: [CommonModule], exports: [CtyActionSheet, CtyAgree, CtyAlert, CtyAnswerSheet, CtyArticleCard, CtyAudio, CtyBackdrop, CtyBanner, CtyCameraPhoto, CtyCanvasBoard, CtyCanvasVideo, CtyCascader, CtyCircle, CtyCountDown, CtyCropImage, CtyDivider, CtyEmpty, CtyFloatingBubble, CtyFloatingPanel, CtyIcon, CtyImageUpload, CtyImageViewer, CtyIndexBar, CtyKeyboard, CtyLoading, CtyMediaCapture, CtyNavBar, CtyNoticeBar, CtyOverlay, CtyPdfViewer, CtyPermissionPurpose, CtyProgress, CtyQuickAccess, CtyRate, CtyRecord, CtySegmentSlides, CtyShareSheet, CtySidePanel, CtyStep, CtyStepper, CtySteps, CtySwipe, CtySwipeItem, CtySwiper, CtyTextEllipsis, CtyTitleBar, CtyTour, CtyTutorial, CtyVideo, CtyVirtualList] });
    /** @nocollapse */ static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyMUIModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CtyMUIModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: DECLARATIONS,
                    exports: DECLARATIONS,
                    imports: [CommonModule],
                }]
        }] });

class DirectiveModule {
    /** @nocollapse */ static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    /** @nocollapse */ static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, imports: [CommonModule,
            TemplateRefDirective], exports: [TemplateRefDirective] });
    /** @nocollapse */ static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DirectiveModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        TemplateRefDirective
                    ],
                    exports: [TemplateRefDirective]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CtyActionSheet, CtyActionSheetController, CtyAgree, CtyAlert, CtyAlertController, CtyAnswerSheet, CtyArticleCard, CtyAudio, CtyBackdrop, CtyBanner, CtyCameraPhoto, CtyCameraPhotoController, CtyCanvasBoard, CtyCanvasVideo, CtyCascader, CtyCascaderController, CtyCircle, CtyController, CtyCountDown, CtyCropImage, CtyDivider, CtyEmpty, CtyFloatingBubble, CtyFloatingPanel, CtyIcon, CtyImageUpload, CtyImageViewer, CtyIndexBar, CtyKeyboard, CtyLoading, CtyLoadingController, CtyMUIModule, CtyMediaCapture, CtyNavBar, CtyNoticeBar, CtyOverlay, CtyOverlayController, CtyPdfViewer, CtyPermissionPurpose, CtyProgress, CtyQuickAccess, CtyRate, CtyRecord, CtyRecordController, CtySegmentSlides, CtyShareSheet, CtyShareSheetController, CtySidePanel, CtyStep, CtyStepper, CtySteps, CtySwipe, CtySwipeItem, CtySwiper, CtyTextEllipsis, CtyTitleBar, CtyTour, CtyTutorial, CtyTutorialController, CtyVideo, CtyVirtualList, DirectiveModule };
//# sourceMappingURL=cty-mui-angular.mjs.map
