import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import type { Components } from 'cty-mui-core/components';
import type { ActionSheetTapEventDetail as ICtyActionSheetActionSheetTapEventDetail } from 'cty-mui-core/components';
import type { AlertTapEventDetail as ICtyAlertAlertTapEventDetail } from 'cty-mui-core/components';
import type { AnswerEntry as ICtyAnswerSheetAnswerEntry } from 'cty-mui-core/components';
import type { ResourceResult as ICtyCameraPhotoResourceResult } from 'cty-mui-core/components';
import type { VideoCustomEventDetail as ICtyCanvasVideoVideoCustomEventDetail } from 'cty-mui-core/components';
import type { VideoCommonCustomEventDetail as ICtyCanvasVideoVideoCommonCustomEventDetail } from 'cty-mui-core/components';
import type { VideoStateDetail as ICtyCanvasVideoVideoStateDetail } from 'cty-mui-core/components';
import type { CascaderOption as ICtyCascaderCascaderOption } from 'cty-mui-core/components';
import type { DateFormat as ICtyCountDownDateFormat } from 'cty-mui-core/components';
import type { ResourceResult as ICtyCropImageResourceResult } from 'cty-mui-core/components';
import type { FloatingBubbleOffset as ICtyFloatingBubbleFloatingBubbleOffset } from 'cty-mui-core/components';
import type { ImageOption as ICtyImageUploadImageOption } from 'cty-mui-core/components';
import type { ResourceResult as ICtyMediaCaptureResourceResult } from 'cty-mui-core/components';
import type { ShareSheetEventDetail as ICtyShareSheetShareSheetEventDetail } from 'cty-mui-core/components';
import type { ShareSheetFailEventDetail as ICtyShareSheetShareSheetFailEventDetail } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtyActionSheet {
    protected z: NgZone;
    protected el: HTMLCtyActionSheetElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyActionSheet, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyActionSheet, "cty-action-sheet", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cancelText": { "alias": "cancelText"; "required": false; }; "closeIcon": { "alias": "closeIcon"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "options": { "alias": "options"; "required": false; }; "root": { "alias": "root"; "required": false; }; "subtitle": { "alias": "subtitle"; "required": false; }; "title": { "alias": "title"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyActionSheet extends Components.CtyActionSheet {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyTap: EventEmitter<CustomEvent<ICtyActionSheetActionSheetTapEventDetail>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyAlert {
    protected z: NgZone;
    protected el: HTMLCtyAlertElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyAlert, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyAlert, "cty-alert", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "buttons": { "alias": "buttons"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "content": { "alias": "content"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "img": { "alias": "img"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "root": { "alias": "root"; "required": false; }; "title": { "alias": "title"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyAlert extends Components.CtyAlert {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyTap: EventEmitter<CustomEvent<ICtyAlertAlertTapEventDetail>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyAnswerSheet {
    protected z: NgZone;
    protected el: HTMLCtyAnswerSheetElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyAnswerSheet, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyAnswerSheet, "cty-answer-sheet", never, { "answers": { "alias": "answers"; "required": false; }; "categories": { "alias": "categories"; "required": false; }; "displayTotal": { "alias": "displayTotal"; "required": false; }; "distinguish": { "alias": "distinguish"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "props": { "alias": "props"; "required": false; }; "results": { "alias": "results"; "required": false; }; "totalText": { "alias": "totalText"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyAnswerSheet extends Components.CtyAnswerSheet {
    ctyTap: EventEmitter<CustomEvent<ICtyAnswerSheetAnswerEntry>>;
}
export declare class CtyArticleCard {
    protected z: NgZone;
    protected el: HTMLCtyArticleCardElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyArticleCard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyArticleCard, "cty-article-card", never, { "layout": { "alias": "layout"; "required": false; }; "thumbnails": { "alias": "thumbnails"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyArticleCard extends Components.CtyArticleCard {
}
export declare class CtyAudio {
    protected z: NgZone;
    protected el: HTMLCtyAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyAudio, "cty-audio", never, { "allowBackward": { "alias": "allowBackward"; "required": false; }; "allowForward": { "alias": "allowForward"; "required": false; }; "autoplay": { "alias": "autoplay"; "required": false; }; "cycleRate": { "alias": "cycleRate"; "required": false; }; "initialTime": { "alias": "initialTime"; "required": false; }; "playCtrl": { "alias": "playCtrl"; "required": false; }; "rate": { "alias": "rate"; "required": false; }; "rateVisible": { "alias": "rateVisible"; "required": false; }; "rates": { "alias": "rates"; "required": false; }; "trafficMsg": { "alias": "trafficMsg"; "required": false; }; "unAllowForwardMsg": { "alias": "unAllowForwardMsg"; "required": false; }; "unAllowRateMsg": { "alias": "unAllowRateMsg"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyAudio extends Components.CtyAudio {
    ctyEnd: EventEmitter<CustomEvent<void>>;
    ctyTimeupdate: EventEmitter<CustomEvent<void>>;
    ctyProgress: EventEmitter<CustomEvent<Number>>;
    ctyCanplay: EventEmitter<CustomEvent<void>>;
    ctyPlay: EventEmitter<CustomEvent<void>>;
    ctyPause: EventEmitter<CustomEvent<void>>;
    ctyError: EventEmitter<CustomEvent<void>>;
}
export declare class CtyBackdrop {
    protected z: NgZone;
    protected el: HTMLCtyBackdropElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyBackdrop, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyBackdrop, "cty-backdrop", never, { "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "html": { "alias": "html"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyBackdrop extends Components.CtyBackdrop {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyBanner {
    protected z: NgZone;
    protected el: HTMLCtyBannerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyBanner, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyBanner, "cty-banner", never, { "autoplay": { "alias": "autoplay"; "required": false; }; "banners": { "alias": "banners"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "indicator": { "alias": "indicator"; "required": false; }; "initialIndex": { "alias": "initialIndex"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "props": { "alias": "props"; "required": false; }; "touchable": { "alias": "touchable"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyBanner extends Components.CtyBanner {
    ctySwipeChange: EventEmitter<CustomEvent<number>>;
    ctySwipeTap: EventEmitter<CustomEvent<number>>;
}
export declare class CtyCameraPhoto {
    protected z: NgZone;
    protected el: HTMLCtyCameraPhotoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCameraPhoto, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCameraPhoto, "cty-camera-photo", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cancelText": { "alias": "cancelText"; "required": false; }; "clipCancelText": { "alias": "clipCancelText"; "required": false; }; "clipCconfirmText": { "alias": "clipCconfirmText"; "required": false; }; "clipImageBg": { "alias": "clipImageBg"; "required": false; }; "clipImageQuality": { "alias": "clipImageQuality"; "required": false; }; "clipImageSuffix": { "alias": "clipImageSuffix"; "required": false; }; "clipImageWidth": { "alias": "clipImageWidth"; "required": false; }; "clipMaxScale": { "alias": "clipMaxScale"; "required": false; }; "clipMinScale": { "alias": "clipMinScale"; "required": false; }; "clipPt": { "alias": "clipPt"; "required": false; }; "closeIcon": { "alias": "closeIcon"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "count": { "alias": "count"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "file": { "alias": "file"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "options": { "alias": "options"; "required": false; }; "overlay": { "alias": "overlay"; "required": false; }; "permissionPurpose": { "alias": "permissionPurpose"; "required": false; }; "photoOption": { "alias": "photoOption"; "required": false; }; "root": { "alias": "root"; "required": false; }; "title": { "alias": "title"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCameraPhoto extends Components.CtyCameraPhoto {
    ctyTapStart: EventEmitter<CustomEvent<number>>;
    ctyTap: EventEmitter<CustomEvent<{
        index: number;
        imageList: ICtyCameraPhotoResourceResult[];
    }>>;
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyCanvasBoard {
    protected z: NgZone;
    protected el: HTMLCtyCanvasBoardElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCanvasBoard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCanvasBoard, "cty-canvas-board", never, { "bgColor": { "alias": "bgColor"; "required": false; }; "bgIcon": { "alias": "bgIcon"; "required": false; }; "clearIcon": { "alias": "clearIcon"; "required": false; }; "clearLabel": { "alias": "clearLabel"; "required": false; }; "confirmLabel": { "alias": "confirmLabel"; "required": false; }; "dpr": { "alias": "dpr"; "required": false; }; "eraserIcon": { "alias": "eraserIcon"; "required": false; }; "footerOpn": { "alias": "footerOpn"; "required": false; }; "headerOpn": { "alias": "headerOpn"; "required": false; }; "lineCap": { "alias": "lineCap"; "required": false; }; "lineWidths": { "alias": "lineWidths"; "required": false; }; "pencilIcon": { "alias": "pencilIcon"; "required": false; }; "quality": { "alias": "quality"; "required": false; }; "redoIcon": { "alias": "redoIcon"; "required": false; }; "showButtons": { "alias": "showButtons"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "undoIcon": { "alias": "undoIcon"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCanvasBoard extends Components.CtyCanvasBoard {
    ctyClear: EventEmitter<CustomEvent<void>>;
    ctyStart: EventEmitter<CustomEvent<TouchEvent | MouseEvent>>;
    ctyMove: EventEmitter<CustomEvent<TouchEvent | MouseEvent>>;
    ctyEnd: EventEmitter<CustomEvent<TouchEvent | MouseEvent>>;
    ctyConfirm: EventEmitter<CustomEvent<string>>;
}
export declare class CtyCanvasVideo {
    protected z: NgZone;
    protected el: HTMLCtyCanvasVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCanvasVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCanvasVideo, "cty-canvas-video", never, { "autoplay": { "alias": "autoplay"; "required": false; }; "avatarButton": { "alias": "avatarButton"; "required": false; }; "next": { "alias": "next"; "required": false; }; "preload": { "alias": "preload"; "required": false; }; "props": { "alias": "props"; "required": false; }; "slice": { "alias": "slice"; "required": false; }; "videos": { "alias": "videos"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCanvasVideo extends Components.CtyCanvasVideo {
    ctySlideChange: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCustomEventDetail>>;
    ctySlidePrev: EventEmitter<CustomEvent<void>>;
    ctySlideNext: EventEmitter<CustomEvent<void>>;
    ctyLongPress: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
    ctyVideoUpdate: EventEmitter<CustomEvent<ICtyCanvasVideoVideoStateDetail>>;
    ctyVideoEnd: EventEmitter<CustomEvent<void>>;
    ctyTapName: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
    ctyTapAvatar: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
    ctyTapLike: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
    ctyTapCollect: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
    ctyTapShare: EventEmitter<CustomEvent<ICtyCanvasVideoVideoCommonCustomEventDetail>>;
}
export declare class CtyCascader {
    protected z: NgZone;
    protected el: HTMLCtyCascaderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCascader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCascader, "cty-cascader", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cancelText": { "alias": "cancelText"; "required": false; }; "cascade": { "alias": "cascade"; "required": false; }; "childrenKey": { "alias": "childrenKey"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "columnsCount": { "alias": "columnsCount"; "required": false; }; "confirmText": { "alias": "confirmText"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "defaultValues": { "alias": "defaultValues"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "optionCount": { "alias": "optionCount"; "required": false; }; "optionHeight": { "alias": "optionHeight"; "required": false; }; "root": { "alias": "root"; "required": false; }; "textKey": { "alias": "textKey"; "required": false; }; "title": { "alias": "title"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; "type": { "alias": "type"; "required": false; }; "valueKey": { "alias": "valueKey"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCascader extends Components.CtyCascader {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyChange: EventEmitter<CustomEvent<(string | number)[]>>;
    ctyConfirm: EventEmitter<CustomEvent<{
        values: (string | number)[];
        indexes: number[];
        options: ICtyCascaderCascaderOption[];
    }>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyCircle {
    protected z: NgZone;
    protected el: HTMLCtyCircleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCircle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCircle, "cty-circle", never, { "clockwise": { "alias": "clockwise"; "required": false; }; "color": { "alias": "color"; "required": false; }; "rad": { "alias": "rad"; "required": false; }; "rate": { "alias": "rate"; "required": false; }; "text": { "alias": "text"; "required": false; }; "width": { "alias": "width"; "required": false; }; "zeroTransparent": { "alias": "zeroTransparent"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCircle extends Components.CtyCircle {
}
export declare class CtyCountDown {
    protected z: NgZone;
    protected el: HTMLCtyCountDownElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCountDown, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCountDown, "cty-count-down", never, { "autoStart": { "alias": "autoStart"; "required": false; }; "dateFormatUnit": { "alias": "dateFormatUnit"; "required": false; }; "format": { "alias": "format"; "required": false; }; "millisecond": { "alias": "millisecond"; "required": false; }; "time": { "alias": "time"; "required": false; }; "unit": { "alias": "unit"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCountDown extends Components.CtyCountDown {
    ctyChange: EventEmitter<CustomEvent<ICtyCountDownDateFormat>>;
    ctyFinish: EventEmitter<CustomEvent<void>>;
}
export declare class CtyCropImage {
    protected z: NgZone;
    protected el: HTMLCtyCropImageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyCropImage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyCropImage, "cty-crop-image", never, { "cancelText": { "alias": "cancelText"; "required": false; }; "confirmText": { "alias": "confirmText"; "required": false; }; "imageBackground": { "alias": "imageBackground"; "required": false; }; "imageWidth": { "alias": "imageWidth"; "required": false; }; "maxScale": { "alias": "maxScale"; "required": false; }; "minScale": { "alias": "minScale"; "required": false; }; "quality": { "alias": "quality"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyCropImage extends Components.CtyCropImage {
    ctyCancel: EventEmitter<CustomEvent<void>>;
    ctyConfirm: EventEmitter<CustomEvent<ICtyCropImageResourceResult>>;
}
export declare class CtyDivider {
    protected z: NgZone;
    protected el: HTMLCtyDividerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyDivider, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyDivider, "cty-divider", never, { "placement": { "alias": "placement"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyDivider extends Components.CtyDivider {
}
export declare class CtyEmpty {
    protected z: NgZone;
    protected el: HTMLCtyEmptyElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyEmpty, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyEmpty, "cty-empty", never, { "description": { "alias": "description"; "required": false; }; "image": { "alias": "image"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyEmpty extends Components.CtyEmpty {
}
export declare class CtyFloatingBubble {
    protected z: NgZone;
    protected el: HTMLCtyFloatingBubbleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyFloatingBubble, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyFloatingBubble, "cty-floating-bubble", never, { "axis": { "alias": "axis"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "magnetic": { "alias": "magnetic"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyFloatingBubble extends Components.CtyFloatingBubble {
    ctyMoveStart: EventEmitter<CustomEvent<ICtyFloatingBubbleFloatingBubbleOffset>>;
    ctyMove: EventEmitter<CustomEvent<ICtyFloatingBubbleFloatingBubbleOffset>>;
    ctyMoveEnd: EventEmitter<CustomEvent<ICtyFloatingBubbleFloatingBubbleOffset>>;
    ctyClick: EventEmitter<CustomEvent<ICtyFloatingBubbleFloatingBubbleOffset>>;
}
export declare class CtyFloatingPanel {
    protected z: NgZone;
    protected el: HTMLCtyFloatingPanelElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyFloatingPanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyFloatingPanel, "cty-floating-panel", never, { "anchors": { "alias": "anchors"; "required": false; }; "contentDraggable": { "alias": "contentDraggable"; "required": false; }; "damp": { "alias": "damp"; "required": false; }; "endAnchor": { "alias": "endAnchor"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyFloatingPanel extends Components.CtyFloatingPanel {
    ctyHeightChange: EventEmitter<CustomEvent<number>>;
}
export declare class CtyIcon {
    protected z: NgZone;
    protected el: HTMLCtyIconElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyIcon, "cty-icon", never, { "color": { "alias": "color"; "required": false; }; "flipRtl": { "alias": "flipRtl"; "required": false; }; "lazy": { "alias": "lazy"; "required": false; }; "name": { "alias": "name"; "required": false; }; "sanitize": { "alias": "sanitize"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyIcon extends Components.CtyIcon {
}
export declare class CtyImageUpload {
    protected z: NgZone;
    protected el: HTMLCtyImageUploadElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyImageUpload, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyImageUpload, "cty-image-upload", never, { "addIcon": { "alias": "addIcon"; "required": false; }; "addImage": { "alias": "addImage"; "required": false; }; "cameraPhotoOptions": { "alias": "cameraPhotoOptions"; "required": false; }; "count": { "alias": "count"; "required": false; }; "deleteable": { "alias": "deleteable"; "required": false; }; "imageViewer": { "alias": "imageViewer"; "required": false; }; "imageViewerOptions": { "alias": "imageViewerOptions"; "required": false; }; "images": { "alias": "images"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyImageUpload extends Components.CtyImageUpload {
    ctyImagePicker: EventEmitter<CustomEvent<ICtyImageUploadImageOption[]>>;
    ctyAddImageTap: EventEmitter<CustomEvent<void>>;
    ctyImageTap: EventEmitter<CustomEvent<number>>;
    ctyDeleteImage: EventEmitter<CustomEvent<ICtyImageUploadImageOption[]>>;
    ctImageViewerDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyImageViewer {
    protected z: NgZone;
    protected el: HTMLCtyImageViewerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyImageViewer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyImageViewer, "cty-image-viewer", never, { "animated": { "alias": "animated"; "required": false; }; "attrs": { "alias": "attrs"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "images": { "alias": "images"; "required": false; }; "initialSlide": { "alias": "initialSlide"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "pager": { "alias": "pager"; "required": false; }; "root": { "alias": "root"; "required": false; }; "speed": { "alias": "speed"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; "zoom": { "alias": "zoom"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyImageViewer extends Components.CtyImageViewer {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctySlideChange: EventEmitter<CustomEvent<number>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyIndexBar {
    protected z: NgZone;
    protected el: HTMLCtyIndexBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyIndexBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyIndexBar, "cty-index-bar", never, { "alphabet": { "alias": "alphabet"; "required": false; }; "alphabets": { "alias": "alphabets"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "indexList": { "alias": "indexList"; "required": false; }; "offsetDiff": { "alias": "offsetDiff"; "required": false; }; "sticky": { "alias": "sticky"; "required": false; }; "stickyTop": { "alias": "stickyTop"; "required": false; }; "sum": { "alias": "sum"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyIndexBar extends Components.CtyIndexBar {
    ctyScrollToPoint: EventEmitter<CustomEvent<any>>;
}
export declare class CtyKeyboard {
    protected z: NgZone;
    protected el: HTMLCtyKeyboardElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyKeyboard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyKeyboard, "cty-keyboard", never, {}, {}, never, ["*"], true, never>;
}
export declare interface CtyKeyboard extends Components.CtyKeyboard {
}
export declare class CtyLoading {
    protected z: NgZone;
    protected el: HTMLCtyLoadingElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyLoading, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyLoading, "cty-loading", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "img": { "alias": "img"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "root": { "alias": "root"; "required": false; }; "spinner": { "alias": "spinner"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyLoading extends Components.CtyLoading {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyMediaCapture {
    protected z: NgZone;
    protected el: HTMLCtyMediaCaptureElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyMediaCapture, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyMediaCapture, "cty-media-capture", never, { "autoplay": { "alias": "autoplay"; "required": false; }; "captureTime": { "alias": "captureTime"; "required": false; }; "closeIcon": { "alias": "closeIcon"; "required": false; }; "confirmText": { "alias": "confirmText"; "required": false; }; "controls": { "alias": "controls"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "options": { "alias": "options"; "required": false; }; "poster": { "alias": "poster"; "required": false; }; "revocationIcon": { "alias": "revocationIcon"; "required": false; }; "timeLimit": { "alias": "timeLimit"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyMediaCapture extends Components.CtyMediaCapture {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyComplete: EventEmitter<CustomEvent<ICtyMediaCaptureResourceResult>>;
    ctyStart: EventEmitter<CustomEvent<void>>;
    ctyStop: EventEmitter<CustomEvent<void>>;
}
export declare class CtyNavBar {
    protected z: NgZone;
    protected el: HTMLCtyNavBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyNavBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyNavBar, "cty-nav-bar", never, { "arrow": { "alias": "arrow"; "required": false; }; "arrowIcon": { "alias": "arrowIcon"; "required": false; }; "end": { "alias": "end"; "required": false; }; "start": { "alias": "start"; "required": false; }; "title": { "alias": "title"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyNavBar extends Components.CtyNavBar {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyNoticeBar {
    protected z: NgZone;
    protected el: HTMLCtyNoticeBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyNoticeBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyNoticeBar, "cty-notice-bar", never, { "endIcon": { "alias": "endIcon"; "required": false; }; "scrollable": { "alias": "scrollable"; "required": false; }; "speed": { "alias": "speed"; "required": false; }; "startIcon": { "alias": "startIcon"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyNoticeBar extends Components.CtyNoticeBar {
    ctyIconTap: EventEmitter<CustomEvent<string>>;
}
export declare class CtyOverlay {
    protected z: NgZone;
    protected el: HTMLCtyOverlayElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyOverlay, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyOverlay, "cty-overlay", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "html": { "alias": "html"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "position": { "alias": "position"; "required": false; }; "root": { "alias": "root"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyOverlay extends Components.CtyOverlay {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyPdfViewer {
    protected z: NgZone;
    protected el: HTMLCtyPdfViewerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyPdfViewer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyPdfViewer, "cty-pdf-viewer", never, { "url": { "alias": "url"; "required": false; }; "viewerUrl": { "alias": "viewerUrl"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyPdfViewer extends Components.CtyPdfViewer {
    ctyInit: EventEmitter<CustomEvent<void>>;
    ctyEnd: EventEmitter<CustomEvent<MessageEvent>>;
}
export declare class CtyPermissionPurpose {
    protected z: NgZone;
    protected el: HTMLCtyPermissionPurposeElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyPermissionPurpose, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyPermissionPurpose, "cty-permission-purpose", never, { "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "description": { "alias": "description"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyPermissionPurpose extends Components.CtyPermissionPurpose {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyProgress {
    protected z: NgZone;
    protected el: HTMLCtyProgressElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyProgress, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyProgress, "cty-progress", never, { "percentage": { "alias": "percentage"; "required": false; }; "pivot": { "alias": "pivot"; "required": false; }; "pivotText": { "alias": "pivotText"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyProgress extends Components.CtyProgress {
}
export declare class CtyQuickAccess {
    protected z: NgZone;
    protected el: HTMLCtyQuickAccessElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyQuickAccess, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyQuickAccess, "cty-quick-access", never, { "col": { "alias": "col"; "required": false; }; "options": { "alias": "options"; "required": false; }; "paper": { "alias": "paper"; "required": false; }; "props": { "alias": "props"; "required": false; }; "quickThreshold": { "alias": "quickThreshold"; "required": false; }; "row": { "alias": "row"; "required": false; }; "slideThreshold": { "alias": "slideThreshold"; "required": false; }; "transition": { "alias": "transition"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyQuickAccess extends Components.CtyQuickAccess {
    ctyTap: EventEmitter<CustomEvent<object>>;
    ctySlide: EventEmitter<CustomEvent<void>>;
    ctySlideEnd: EventEmitter<CustomEvent<number>>;
    ctyInit: EventEmitter<CustomEvent<number>>;
}
export declare class CtyRecord {
    protected z: NgZone;
    protected el: HTMLCtyRecordElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyRecord, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyRecord, "cty-record", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "circleColor": { "alias": "circleColor"; "required": false; }; "circleWidth": { "alias": "circleWidth"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "maxSeconds": { "alias": "maxSeconds"; "required": false; }; "minSeconds": { "alias": "minSeconds"; "required": false; }; "root": { "alias": "root"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyRecord extends Components.CtyRecord {
    ctyRecordStart: EventEmitter<CustomEvent<void>>;
    ctyRecording: EventEmitter<CustomEvent<void>>;
    ctyRecordEnd: EventEmitter<CustomEvent<object>>;
    ctyRecordComplete: EventEmitter<CustomEvent<object>>;
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyShareSheet {
    protected z: NgZone;
    protected el: HTMLCtyShareSheetElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyShareSheet, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyShareSheet, "cty-share-sheet", never, { "animated": { "alias": "animated"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "cancelText": { "alias": "cancelText"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "description": { "alias": "description"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "guide": { "alias": "guide"; "required": false; }; "guideImg": { "alias": "guideImg"; "required": false; }; "hiddenSheet": { "alias": "hiddenSheet"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "legacyCopy": { "alias": "legacyCopy"; "required": false; }; "options": { "alias": "options"; "required": false; }; "permissionDescription": { "alias": "permissionDescription"; "required": false; }; "permissionPurpose": { "alias": "permissionPurpose"; "required": false; }; "root": { "alias": "root"; "required": false; }; "shareOption": { "alias": "shareOption"; "required": false; }; "title": { "alias": "title"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyShareSheet extends Components.CtyShareSheet {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctyTap: EventEmitter<CustomEvent<ICtyShareSheetShareSheetEventDetail>>;
    ctyShareSuccess: EventEmitter<CustomEvent<ICtyShareSheetShareSheetEventDetail>>;
    ctyShareFail: EventEmitter<CustomEvent<ICtyShareSheetShareSheetFailEventDetail>>;
    ctyGuide: EventEmitter<CustomEvent<void>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyStep {
    protected z: NgZone;
    protected el: HTMLCtyStepElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyStep, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyStep, "cty-step", never, {}, {}, never, ["*"], true, never>;
}
export declare interface CtyStep extends Components.CtyStep {
}
export declare class CtySteps {
    protected z: NgZone;
    protected el: HTMLCtyStepsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySteps, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySteps, "cty-steps", never, { "active": { "alias": "active"; "required": false; }; "activeIcon": { "alias": "activeIcon"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "finishIcon": { "alias": "finishIcon"; "required": false; }; "inactiveIcon": { "alias": "inactiveIcon"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtySteps extends Components.CtySteps {
    ctyStepTap: EventEmitter<CustomEvent<number>>;
    ctyChange: EventEmitter<CustomEvent<number>>;
}
export declare class CtySwipe {
    protected z: NgZone;
    protected el: HTMLCtySwipeElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySwipe, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySwipe, "cty-swipe", never, { "autoplay": { "alias": "autoplay"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "indicator": { "alias": "indicator"; "required": false; }; "initialSwipe": { "alias": "initialSwipe"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "touchable": { "alias": "touchable"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtySwipe extends Components.CtySwipe {
    ctyChange: EventEmitter<CustomEvent<number>>;
    ctyDragStart: EventEmitter<CustomEvent<number>>;
    ctyDragEnd: EventEmitter<CustomEvent<number>>;
}
export declare class CtySwipeItem {
    protected z: NgZone;
    protected el: HTMLCtySwipeItemElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySwipeItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySwipeItem, "cty-swipe-item", never, {}, {}, never, ["*"], true, never>;
}
export declare interface CtySwipeItem extends Components.CtySwipeItem {
}
export declare class CtyTextEllipsis {
    protected z: NgZone;
    protected el: HTMLCtyTextEllipsisElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyTextEllipsis, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyTextEllipsis, "cty-text-ellipsis", never, { "collapseText": { "alias": "collapseText"; "required": false; }; "content": { "alias": "content"; "required": false; }; "dots": { "alias": "dots"; "required": false; }; "expandText": { "alias": "expandText"; "required": false; }; "position": { "alias": "position"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyTextEllipsis extends Components.CtyTextEllipsis {
    ctyExpandChange: EventEmitter<CustomEvent<boolean>>;
}
export declare class CtyTitleBar {
    protected z: NgZone;
    protected el: HTMLCtyTitleBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyTitleBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyTitleBar, "cty-title-bar", never, { "endIcon": { "alias": "endIcon"; "required": false; }; "endText": { "alias": "endText"; "required": false; }; "startIcon": { "alias": "startIcon"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyTitleBar extends Components.CtyTitleBar {
    ctyClickEnd: EventEmitter<CustomEvent<void>>;
}
export declare class CtyTour {
    protected z: NgZone;
    protected el: HTMLCtyTourElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyTour, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyTour, "cty-tour", never, { "arrow": { "alias": "arrow"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "completeText": { "alias": "completeText"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "initialIndex": { "alias": "initialIndex"; "required": false; }; "nextText": { "alias": "nextText"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "popoverAttrs": { "alias": "popoverAttrs"; "required": false; }; "prevText": { "alias": "prevText"; "required": false; }; "showPrev": { "alias": "showPrev"; "required": false; }; "steps": { "alias": "steps"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyTour extends Components.CtyTour {
    ctyChange: EventEmitter<CustomEvent<number>>;
    ctyDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyTutorial {
    protected z: NgZone;
    protected el: HTMLCtyTutorialElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyTutorial, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyTutorial, "cty-tutorial", never, { "animated": { "alias": "animated"; "required": false; }; "autoplay": { "alias": "autoplay"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "banners": { "alias": "banners"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "enterAnimation": { "alias": "enterAnimation"; "required": false; }; "indicator": { "alias": "indicator"; "required": false; }; "initialIndex": { "alias": "initialIndex"; "required": false; }; "leaveAnimation": { "alias": "leaveAnimation"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "props": { "alias": "props"; "required": false; }; "root": { "alias": "root"; "required": false; }; "touchable": { "alias": "touchable"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyTutorial extends Components.CtyTutorial {
    ctyDismiss: EventEmitter<CustomEvent<void>>;
    ctySlideChange: EventEmitter<CustomEvent<number>>;
    ctySlideTap: EventEmitter<CustomEvent<number>>;
    ctyDidPresent: EventEmitter<CustomEvent<void>>;
    ctyWillPresent: EventEmitter<CustomEvent<void>>;
    ctyWillDismiss: EventEmitter<CustomEvent<void>>;
    ctyDidDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class CtyVideo {
    protected z: NgZone;
    protected el: HTMLCtyVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyVideo, "cty-video", never, { "allowBackgroundForward": { "alias": "allowBackgroundForward"; "required": false; }; "allowBackward": { "alias": "allowBackward"; "required": false; }; "allowForward": { "alias": "allowForward"; "required": false; }; "autoplay": { "alias": "autoplay"; "required": false; }; "controls": { "alias": "controls"; "required": false; }; "defaultFullscreen": { "alias": "defaultFullscreen"; "required": false; }; "directRate": { "alias": "directRate"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "errorMsg": { "alias": "errorMsg"; "required": false; }; "exitFullscreenIcon": { "alias": "exitFullscreenIcon"; "required": false; }; "footerCtrl": { "alias": "footerCtrl"; "required": false; }; "fullscreenIcon": { "alias": "fullscreenIcon"; "required": false; }; "fullscreenOnly": { "alias": "fullscreenOnly"; "required": false; }; "headerCtrl": { "alias": "headerCtrl"; "required": false; }; "interactiveActions": { "alias": "interactiveActions"; "required": false; }; "landscapeEnterTimer": { "alias": "landscapeEnterTimer"; "required": false; }; "landscapeLeaveTimer": { "alias": "landscapeLeaveTimer"; "required": false; }; "largeScreenIsPortrait": { "alias": "largeScreenIsPortrait"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "loadingImg": { "alias": "loadingImg"; "required": false; }; "markers": { "alias": "markers"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "player": { "alias": "player"; "required": false; }; "poster": { "alias": "poster"; "required": false; }; "preload": { "alias": "preload"; "required": false; }; "progressPosition": { "alias": "progressPosition"; "required": false; }; "rate": { "alias": "rate"; "required": false; }; "rates": { "alias": "rates"; "required": false; }; "startTime": { "alias": "startTime"; "required": false; }; "title": { "alias": "title"; "required": false; }; "togglePlayTimer": { "alias": "togglePlayTimer"; "required": false; }; "trafficAutoplay": { "alias": "trafficAutoplay"; "required": false; }; "trafficMsg": { "alias": "trafficMsg"; "required": false; }; "unAllowForwardMsg": { "alias": "unAllowForwardMsg"; "required": false; }; "unAllowRateMsg": { "alias": "unAllowRateMsg"; "required": false; }; "updateNow": { "alias": "updateNow"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyVideo extends Components.CtyVideo {
    ctyDismiss: EventEmitter<CustomEvent<boolean>>;
    ctyVideoCanplay: EventEmitter<CustomEvent<void>>;
    ctyVideoTimeupdate: EventEmitter<CustomEvent<number>>;
    ctyVideoPlaying: EventEmitter<CustomEvent<void>>;
    ctyVideoPlay: EventEmitter<CustomEvent<void>>;
    ctyVideoPause: EventEmitter<CustomEvent<void>>;
    ctyVideoStalled: EventEmitter<CustomEvent<void>>;
    ctyVideoWaiting: EventEmitter<CustomEvent<number>>;
    ctyVideoEnded: EventEmitter<CustomEvent<void>>;
    ctyVideoError: EventEmitter<CustomEvent<boolean>>;
    ctyVideoChangeVolume: EventEmitter<CustomEvent<void>>;
    ctyVideoProgress: EventEmitter<CustomEvent<number>>;
    ctyVideoScreenChange: EventEmitter<CustomEvent<boolean>>;
    ctyVideoIAEnter: EventEmitter<CustomEvent<void>>;
    ctyVideoIAAction: EventEmitter<CustomEvent<void>>;
    ctyVideoCtrlChange: EventEmitter<CustomEvent<boolean>>;
    ctyVideoRateChange: EventEmitter<CustomEvent<number>>;
}
export declare class CtyVirtualList {
    protected z: NgZone;
    protected el: HTMLCtyVirtualListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyVirtualList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyVirtualList, "cty-virtual-list", never, { "containerHeight": { "alias": "containerHeight"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "itemKey": { "alias": "itemKey"; "required": false; }; "items": { "alias": "items"; "required": false; }; "preloadItemCount": { "alias": "preloadItemCount"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyVirtualList extends Components.CtyVirtualList {
    ctyScroll: EventEmitter<CustomEvent<void>>;
}
